You are viewing a plain text version of this content. The canonical link for it is here.
Posted to github@beam.apache.org by GitBox <gi...@apache.org> on 2022/06/14 14:37:34 UTC

[GitHub] [beam] elink21 commented on a diff in pull request #21779: [BEAM-12903] Cron job to cleanup Dataproc leaked resources

elink21 commented on code in PR #21779:
URL: https://github.com/apache/beam/pull/21779#discussion_r896909691


##########
.test-infra/dataproc/cleanup.sh:
##########
@@ -0,0 +1,68 @@
+#!/usr/bin/env bash
+#    Licensed to the Apache Software Foundation (ASF) under one or more
+#    contributor license agreements.  See the NOTICE file distributed with
+#    this work for additional information regarding copyright ownership.
+#    The ASF licenses this file to You under the Apache License, Version 2.0
+#    (the "License"); you may not use this file except in compliance with
+#    the License.  You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#    Unless required by applicable law or agreed to in writing, software
+#    distributed under the License is distributed on an "AS IS" BASIS,
+#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#    See the License for the specific language governing permissions and
+#    limitations under the License.
+
+set -Eeuo pipefail
+GCLOUD_REGION="us-central1"
+clustersList=( )
+toDeleteList=( )
+
+
+generatedResources=("beam-loadtests-go-cogbk-flink" "beam-loadtests-python-cogbk-flink" \

Review Comment:
   It looks like it happened in the past due to some errors in the code, the misconfiguration was fixed in [BEAM-12898](https://issues.apache.org/jira/browse/BEAM-12898), other possible scenarios might be the existence of interrupted or aborted jobs.



-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: github-unsubscribe@beam.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org